# GetStatus

Retrieves information on Geo Batch file status

`GET /api/v2/geo/batch/status/{processId}`

**API:** AFC SaaS Pro REST v2
**Tag:** Jurisdiction Determination
**API Version:** v2
**Authentication:** Basic (username + license key) or Bearer token

Source: https://developer.avalara.com/products/communications/api/v2/methods/Jurisdiction%20Determination/GetStatus/

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `client_id` | integer | header | Yes | The client id. |
| `processId` | string | path | Yes | Process Id for Geo Batch File. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `GeoBatchStatus` |

### 200 Response: `GeoBatchStatus`

Individual File Status For Geo Batch result

| Property | Type | Required | Description |
|---|---|---|---|
| `ProcessId` | integer | No | Process ID for Batch file. |
| `RequestDate` | string | No | Request Date. |
| `ProcessingStart` | string | No | Processing Start. |
| `ProcessingEnd` | string | No | Processing End. |
| `Status` | string | No | Status Of Batch File. |
| `Downloads` | GeoBatchDownloadResponse | No |  |
| `Error` | Error[] | No | Error information. |